Subject: bug#70087: closed (Re: [bug#70087] [PATCH 1/4] gnu: gecode: Update to development version 6.3.0.)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 15 May 2024 13:10:01 +0000

Your bug report

#70087: [PATCH 1/4] gnu: gecode: Update to development version 6.3.0.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
70087: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=70087
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#70087] [PATCH 1/4] gnu: gecode: Update to development version 6.3.0.
From: Andreas Enge <[email-masked]>
To: Herman Rimm <[email-masked]>
Cc: [email-masked], Sharlatan Hellseher <[email-masked]>, Eric Bavier <[email-masked]>
Date: Wed, 15 May 2024 15:08:33 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

I have now applied your patch to add chuffed to minizinc, and I have
gexpified this latter package.

An update of minizinc to 2.8.3 (or 2.8.4, released 5 days ago) does not
build; I think one would need to move to a different commit of gecode
(but not the latest one...).

I am closing the current bug. If you are motivated to look for a combination
of newer gecode and minizinc versions that work together, please feel free
to open a new bug.

Andreas

Subject: [PATCH 1/4] gnu: gecode: Update to development version 6.3.0.
From: Herman Rimm <[email-masked]>
To: [email-masked]
Cc: Herman Rimm <[email-masked]>
Date: Sat, 30 Mar 2024 12:40:05 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

* gnu/packages/maths.scm (gecode): Update.

Change-Id: I5e89105f3fef61d6aa677a4a118225679220ce5d
---
 gnu/packages/maths.scm | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

diff --git a/gnu/packages/maths.scm b/gnu/packages/maths.scm
index 479591889f..6c23aa3562 100644
--- a/gnu/packages/maths.scm
+++ b/gnu/packages/maths.scm
@@ -63,6 +63,7 @@
 ;;; Copyright © 2023 Jake Leporte <[email-masked]>
 ;;; Copyright © 2023 Camilo Q.S. (Distopico) <[email-masked]>
 ;;; Copyright © 2023 David Elsing <[email-masked]>
+;;; Copyright © 2024 Herman Rimm <[email-masked]>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -2615,16 +2616,16 @@ (define-public clp
 (define-public gecode
   (package
     (name "gecode")
-    (version "6.2.0")
+    (version "6.3.0")
     (source (origin
               (method git-fetch)
               (uri (git-reference
                     (url "https://github.com/Gecode/gecode")
-                    (commit (string-append "release-" version))))
+                    (commit "2d20e88cae176584b6e09d909aca3eb72ae76829")))
               (file-name (git-file-name name version))
               (sha256
                (base32
-                "0b1cq0c810j1xr2x9y9996p894571sdxng5h74py17c6nr8c6dmk"))
+                "0hf7hd7m5p26xwn8f561f0gn2a6q33xz818jg3ivmvp2ysmmmm4r"))
               (modules '((guix build utils)))
               (snippet
                '(begin

base-commit: 350cdbe83819233b6db9fb1cfc797eaf80b0d168
-- 
2.41.0